
QGIS Application - Bug report #19523

QGIS crashes when QThread is enabled

2018-08-01 03:18 PM - llc llc

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27350

Description

I developed a plug-in in Python，QGIS crashes when clicking on the pushbutton,Because I started a QThread for requests

post

The plug-in zip package has been uploaded

History

#1 - 2018-08-01 03:24 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#2 - 2018-08-01 11:16 PM - Nyall Dawson

- Status changed from Open to Feedback

This isn't a qgis issue - you'll need to fix your code

#3 - 2018-08-02 02:35 AM - llc llc

Nyall Dawson wrote:

This isn't a qgis issue - you'll need to fix your code

Thank you for your feedback.

If there are problems with code, QGIS should throw exceptions instead of collapsing.

Can you help me explain the reason? Thank you very much.

#4 - 2018-08-02 06:00 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Actually QGIS by design exposes a complete API, including many many functions which can be used to crash QGIS. But the upside of this is that it makes

plugins infinitely more powerful, because nothing is hidden from them.

I'd suggest opening a question on stackexchange asking about your particular code - it's more of a support forum, this is just a bug tracker.

2024-04-09 1/2



Files

qthread_post.zip 6.27 KB 2018-08-01 llc llc
